boost::geometry::strategy::centroid::services::default_strategy< CsTag, GeometryTag, Dimension, Point, Geometry > Struct Template Reference
centroid: calculate centroid (center of gravity) of a geometry

Traits class binding a centroid calculation strategy to a coordinate system. More...

List of all members.

## Public Types

typedef not_applicable_strategy | type

## Detailed Description

### template<typename CsTag, typename GeometryTag, std::size_t Dimension, typename Point, typename Geometry>
struct boost::geometry::strategy::centroid::services::default_strategy< CsTag, GeometryTag, Dimension, Point, Geometry >

Traits class binding a centroid calculation strategy to a coordinate system.

Template Parameters:

  CsTag | tag of coordinate system, for specialization
  GeometryTag | tag of geometry, for specialization
  Dimension | dimension of geometry, for specialization
  Point | point-type
  Geometry |

## Member Typedef Documentation

template<typename CsTag , typename GeometryTag , std::size_t Dimension, typename Point , typename Geometry >

typedef not_applicable_strategy boost::geometry::strategy::centroid::services::default_strategy< CsTag, GeometryTag, Dimension, Point, Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK